AM263Px MCU+ SDK: SDL_esmRegs Struct Reference

| AM263Px MCU+ SDK 26.00.00 |

Data Fields
SDL_esmRegs Struct Reference

## Data Fields
volatile uint32_t | PID
volatile uint32_t | INFO
volatile uint32_t | EN
volatile uint32_t | SFT_RST
volatile uint32_t | ERR_RAW
volatile uint32_t | ERR_STS
volatile uint32_t | ERR_EN_SET
volatile uint32_t | ERR_EN_CLR
volatile uint32_t | LOW_PRI
volatile uint32_t | HI_PRI
volatile uint32_t | LOW
volatile uint32_t | HI
volatile uint32_t | EOI
volatile uint8_t | Resv_64 [12]
volatile uint32_t | PIN_CTRL
volatile uint32_t | PIN_STS
volatile uint32_t | PIN_CNTR
volatile uint32_t | PIN_CNTR_PRE
volatile uint32_t | PWMH_PIN_CNTR
volatile uint32_t | PWMH_PIN_CNTR_PRE
volatile uint32_t | PWML_PIN_CNTR
volatile uint32_t | PWML_PIN_CNTR_PRE
volatile uint8_t | Resv_1024 [944]
SDL_esmRegs_ERR_GRP | ERR_GRP [32]
SDL_esmRegs_ERR_EXT_GRP | ERR_EXT_GRP [32]

## Field Documentation

## ◆ PID

volatile uint32_t SDL_esmRegs::PID

## ◆ INFO

volatile uint32_t SDL_esmRegs::INFO

## ◆ EN

volatile uint32_t SDL_esmRegs::EN

## ◆ SFT_RST

volatile uint32_t SDL_esmRegs::SFT_RST

## ◆ ERR_RAW

volatile uint32_t SDL_esmRegs::ERR_RAW

## ◆ ERR_STS

volatile uint32_t SDL_esmRegs::ERR_STS

## ◆ ERR_EN_SET

volatile uint32_t SDL_esmRegs::ERR_EN_SET

## ◆ ERR_EN_CLR

volatile uint32_t SDL_esmRegs::ERR_EN_CLR

## ◆ LOW_PRI

volatile uint32_t SDL_esmRegs::LOW_PRI

## ◆ HI_PRI

volatile uint32_t SDL_esmRegs::HI_PRI

## ◆ LOW

volatile uint32_t SDL_esmRegs::LOW

## ◆ HI

volatile uint32_t SDL_esmRegs::HI

## ◆ EOI

volatile uint32_t SDL_esmRegs::EOI

## ◆ Resv_64

volatile uint8_t SDL_esmRegs::Resv_64

## ◆ PIN_CTRL

volatile uint32_t SDL_esmRegs::PIN_CTRL

## ◆ PIN_STS

volatile uint32_t SDL_esmRegs::PIN_STS

## ◆ PIN_CNTR

volatile uint32_t SDL_esmRegs::PIN_CNTR

## ◆ PIN_CNTR_PRE

volatile uint32_t SDL_esmRegs::PIN_CNTR_PRE

## ◆ PWMH_PIN_CNTR

volatile uint32_t SDL_esmRegs::PWMH_PIN_CNTR

## ◆ PWMH_PIN_CNTR_PRE

volatile uint32_t SDL_esmRegs::PWMH_PIN_CNTR_PRE

## ◆ PWML_PIN_CNTR

volatile uint32_t SDL_esmRegs::PWML_PIN_CNTR

## ◆ PWML_PIN_CNTR_PRE

volatile uint32_t SDL_esmRegs::PWML_PIN_CNTR_PRE

## ◆ Resv_1024

volatile uint8_t SDL_esmRegs::Resv_1024

## ◆ ERR_GRP

SDL_esmRegs_ERR_GRP SDL_esmRegs::ERR_GRP

## ◆ ERR_EXT_GRP

SDL_esmRegs_ERR_EXT_GRP SDL_esmRegs::ERR_EXT_GRP[32]